QGIS Application - Bug report #1998
qgis crashes when zooming out with otfr enabled
2009-10-11 03:33 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 12058
Description

Not really sure to what component assign this ticket.

| was having a look to ticket #1993 and | noticed the following:

| created a new project and added a couple of layers, a world borders shape defined in wgs84, and a shape file of an European country,
with a projected crs.

| then enabled otfr and selected as project crs the projected one.

While zooming out obviously the world border shape started to wrap (see attached screenshot), but suddenly qgis crashes. In the
terminal | can see the following

Fatal: ASSERT: "std::abs(r_d ) > SMALL_NUM && std::abs(r_n) > SMALL_NUM"in file

/build/buildd/qgis-1.3.0/src/core/ggsclipper.h, line 270
Aborted

while this exercise cannot make a lot of sense, | think that qgis should not crash.

I noticed also that this happens with others projected crs but not all. For example if you use the world borders shape and one of the Alaska
shapes of the sample dataset, qgis doesn't crash.

History

#1 - 2009-10-11 03:42 AM - Giovanni Manghi

world borders shape here:

[http://www.ensino.uevora.pt/mbc/downloads/world_borders.tar.bz2]

#2 - 2009-10-12 02:01 AM - Giovanni Manghi

| must say also that in the very same situation (two layers, one wgs84, one with projected crs, otfr enabled and project crs projected) the "zoom full" tool
doesn't work properly as it shows nothing and the scalebar goes wild.

#3 - 2009-11-25 04:58 AM - Giovanni Manghi

- Resolution set to worksforme
http://www.ensino.uevora.pt/mbc/downloads/world_borders.tar.bz2

- Status changed from Open to Closed

| cannot see anymore the crash under both linux and windows with qgis trunk.
